#include<bits/stdc++.h>
using namespace std;





int main(){
    int a, b, x, y;
    ios_base::sync_with_stdio(false);  
    cin.tie(NULL);
    cin>>a>>b>>x>>y;
    if((a==x) && (b == y)){
        cout<<"nijedan";
        return 0;}
    if((a==x)){
        cout<<"drugi";
        return 0;
    }
    if(b==y) {
        cout<<"prvi";
        return 0;
    }
    cout<<"?";
    return 0;

}